Bug 1010244 - Hangs with disk wait intel_crtc_wait_for_pending_flips
Hangs with disk wait intel_crtc_wait_for_pending_flips
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 06:58 EDT by Anders Blomdell
Modified: 2014-02-05 17:24 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:24:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anders Blomdell 2013-09-20 06:58:39 EDT
Description of problem:

  X sometimes enters a hard hang in the Xorg server

Version-Release number of selected component (if applicable):

  xorg-x11-server-Xorg-1.13.3-3.fc18.x86_64

How reproducible:

  Occasionally

Hardware:

00:02.0 VGA compatible controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (rev 03)
00:02.0 0300: 8086:2e32 (rev 03)

Drivers:

i915                  619757  4 
i2c_algo_bit           13257  1 i915
drm_kms_helper         50439  1 i915
drm                   272315  5 i915,drm_kms_helper
video                  19052  1 i915
i2c_core               38420  5 drm,i915,i2c_i801,drm_kms_helper,i2c_algo_bit

/proc/*/stack:

[<ffffffffa00aa49d>] intel_crtc_wait_for_pending_flips+0x8d/0x120 [i915]
[<ffffffffa00ac46f>] i9xx_crtc_disable+0x7f/0x240 [i915]
[<ffffffffa00b0ce7>] intel_crtc_update_dpms+0x77/0xb0 [i915]
[<ffffffffa00b0dca>] intel_encoder_dpms+0x1a/0x30 [i915]
[<ffffffffa00b5b7c>] intel_connector_dpms+0x3c/0x70 [i915]
[<ffffffffa003264d>] drm_mode_obj_set_property_ioctl+0x31d/0x330 [drm]
[<ffffffffa0032690>] drm_mode_connector_property_set_ioctl+0x30/0x40 [drm]
[<ffffffffa0021479>] drm_ioctl+0x549/0x680 [drm]
[<ffffffff811af377>] do_vfs_ioctl+0x97/0x580
[<ffffffff811af8f1>] SyS_ioctl+0x91/0xb0
[<ffffffff81664859>] system_call_fastpath+0x16/0x1b
[<ffffffffffffffff>] 0xffffffffffffffff

/proc/*/status:

Name:	X
State:	D (disk sleep)
Tgid:	1270
Pid:	1270
PPid:	1247
TracerPid:	0
Uid:	0	0	0	0
Gid:	0	0	0	0
FDSize:	64
Groups:	
VmPeak:	  573516 kB
VmSize:	  480644 kB
VmLck:	       0 kB
VmPin:	       0 kB
VmHWM:	  112192 kB
VmRSS:	  110172 kB
VmData:	   49364 kB
VmStk:	     136 kB
VmExe:	    2044 kB
VmLib:	   17264 kB
VmPTE:	     924 kB
VmSwap:	    6968 kB
Threads:	1
SigQ:	5/31138
SigPnd:	0000000000040000
ShdPnd:	0000000010002200
SigBlk:	0000000000000000
SigIgn:	0000000000001000
SigCgt:	00000001d18066cf
CapInh:	0000000000000000
CapPrm:	0000003fffffffff
CapEff:	0000003fffffffff
CapBnd:	0000003fffffffff
Seccomp:	0
Cpus_allowed:	f
Cpus_allowed_list:	0-3
Mems_allowed:	00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000001
Mems_allowed_list:	0
voluntary_ctxt_switches:	43469881
nonvoluntary_ctxt_switches:	760625
Comment 1 Fedora End Of Life 2013-12-21 09:36:34 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 17:24:38 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.